﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LoggingDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            log4net.Config.XmlConfigurator.Configure();
            var logger = log4net.LogManager.GetLogger(typeof(Program));

            while (true)
            {
                logger.Info("Some information message");
                logger.Warn("A warning message");
                logger.Error("An error message");

                Console.WriteLine("Press a key for more logging");
                Console.ReadLine();
            }
        }
    }
}
